%global srcname websocket_client
%global sum WebSocket client for python. hybi13 is supported

Name:           python-%{srcname}
Version:        0.47.0
Release:        1%{?dist}
Summary:        %{sum}

License:        BSD
URL:            https://pypi.python.org/pypi/%{srcname}
Source0:        https://pypi.python.org/packages/c9/bb/8d3dd9063cfe0cd5d03fe6a1f74ddd948f384e9c1eff0eb978f3976a7d27/%{srcname}-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  python2-devel python3-devel
BuildRequires:  python2-six python3-six
BuildRequires:  python2-backports.ssl_match_hostname

%description
websocket-client module is WebSocket client for python. This provide
the low level APIs for WebSocket. All APIs are the synchronous functions.

websocket-client supports only hybi-13.

%package -n python2-%{srcname}
Summary:        %{sum}
%{?python_provide:%python_provide python2-%{srcname}}

%description -n python2-%{srcname}
websocket-client module is WebSocket client for python. This provide
the low level APIs for WebSocket. All APIs are the synchronous functions.

websocket-client supports only hybi-13.


%package -n python3-%{srcname}
Summary:        %{sum}
%{?python_provide:%python_provide python3-%{srcname}}

%description -n python3-%{srcname}
websocket-client module is WebSocket client for python. This provide
the low level APIs for WebSocket. All APIs are the synchronous functions.

websocket-client supports only hybi-13.


%prep
%autosetup -n %{srcname}-%{version}

%build
%py2_build
%py3_build

%install
# Must do the python2 install first because the scripts in /usr/bin are
# overwritten with every setup.py install, and in general we want the
# python3 version to be the default.
# If, however, we're installing separate executables for python2 and python3,
# the order needs to be reversed so the unversioned executable is the python2 one.
%py2_install
%py3_install

%check
%{__python2} setup.py test
%{__python3} setup.py test

# Note that there is no %%files section for the unversioned python module if we are building for several python runtimes
%files -n python2-%{srcname}
%license LICENSE
%doc README.rst
%{python2_sitelib}/*

%files -n python3-%{srcname}
%license LICENSE
%doc README.rst
%{python3_sitelib}/*
%{_bindir}/wsdump.py

%changelog
* Mon Mar 26 2018 Thomas Sailer <t.sailer@alumni.ethz.ch> - 0.47.0-1
- initial spec file
